Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
CDPCloud Portal
Sitecore CDP Developer Documentation
  • Developing with Sitecore CDP
    • Authentication
    • Base URL
    • Batch file formatting requirements
            • Allocate batch upload location
            • Upload batch file
            • Retrieve details of batch uploads
            • Retrieve batch file upload status
            • Retrieve batch upload error log
  1. Reference
  1. Sitecore CDP Developer Documentation
  2. Batch API

Retrieve details of batch uploads

GET /v2/batches/inspect

Retrieves the details of batches uploaded to your instance of Sitecore CDP in the past 30 days. For an upload to be available to retrieve, you must first make the PUT request that allocates a batch upload location.

sidebar. Query parameters

NameTypeDescriptionExample
statusstringThe batch upload processing status. Possible values:

  • uploading - the batch reference is saved and the gzipped file can now be uploaded. The batch stays in this status until the file is fully uploaded. After receiving the file, Sitecore CDP validates it and changes the status to file_uploaded.
  • file_uploaded - Sitecore CDP received the gzipped file, and the file is now in the processing queue. This status is only available in the inspect endpoint.
  • processing - Sitecore CDP is processing the gzipped file.
  • success - Sitecore CDP successfully processed all JSON records in the gzipped file. You can now verify that CDP ingested the uploaded data.
  • corrupted - the MD5 checksum or the size of the gzipped file does not match the values provided by the developer.
  • error - Sitecore CDP did not process at least one JSON record in the gzipped file. You can download the error log to troubleshoot the issue. The location of the log file is the value of the status.log parameter.


If unset, no status filters will be used in the request.
  • status=uploading
  • status=success,error
createdBeforestringA date and time of your choice.

Only batch uploads created before this date and time within the past 30 days will be returned.

Format: YYYY-MM-DDTHH:mm:ss.SSSZ
createdBefore=2026-05-29T07:41
.244Z
createdAfterstringA date and time of your choice.

Only batch uploads created after this date and time within the past 30 days will be returned.

Format: YYYY-MM-DDTHH:mm:ss.SSSZ
createdAfter=2026-05-29T07:41
.244Z
offsetintegerThe zero-based starting index in the entire collection of the first batch upload to return.

Default: 0.
offset=10
limitintegerThe maximum number of batch uploads to return for a single request.

Minimum: 1.

Maximum: 1000.

Default: 50.
limit=100

The response body contains the following fields:

AttributeTypeDescriptionExample
totalCountintegerThe number of batches that were uploaded to your instance of Sitecore CDP in the past 30 days and match the criteria you specified in the request query parameters.337
offsetintegerThe offset used in the request.0
limitintegerThe limit used in the request.50
itemsarray of objectsThe list of batch uploads returned.N/A

The items array of objects:

AttributeTypeDescriptionExample
hrefstringThe URL of a batch upload."http://.../v2/batches/inspect/12af3453-62da-4b31-a646-631b7b5f3009"
refstringThe UUID of a batch upload."12af3453-62da-4b31-a646-631b7b5f3009"
statusstringThe batch upload processing status."error"
status.logstringFor batch uploads with the error status, the location of the downloadable error log file."https://sitecore-batch-service..."
createdAtstringThe date and time the batch upload was created.2026-05-29T07:41
.244Z
modifiedAtstringThe date and time the batch upload was last modified. For example, the last time the status changed.2026-05-29T07:41
.244Z

Request without query parameters:

curl -X GET '<baseURL>/v2/batches/inspect' \
-u '<username>:<password>' \
-H 'Accept: application/json'

Request with query parameters:

curl -X GET '<baseURL>/v2/batches/inspect?status=success,error&limit=100' \
-u '<username>:<password>' \
-H 'Accept: application/json'
{
  "totalCount": 225,
  "offset": 0,
  "limit": 100,
  "items": [
    {
      "href": "<baseURL>/v2/batches/inspect/12af3453-62da-4b31-a646-631b7b5f3009",
      "ref": "439332a9-f837-496f-9e4a-87491689bb90",
      "status": "success",
      "createdAt": "2026-05-29T07:`41:51`.244Z",
      "modifiedAt": "2026-05-29T07:`47:59`.961Z"
    },
    {<...>}
  ]
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use